1.06	2019-Apr-08

	New features:
	Plays Farbrausch V2M files
	Plays Wonderswan (.wsr) files
	Settings window now works fine with a 125% DPI setting in Windows

	Bug fixes:
	Close-button on most windows disappeared when pressed

1.05	2018-Apr-18

	New features:
	Plays the following Amiga formats using UADE:
		Anders Øland
		Ashley Hogg
		Andrew Parton
		Janne Salmijarvi Optimizer
		Kim Christensen
		Nick Pelling Packer
		Mosh Packer
		MusicMaker-8V
		Paul Tonge
		TimeTracker
		ZoundMonitor
	Now plays vgm/vgz with arcade music and a bunch of other consoles using VGMPlay
	Klystrack:
		Can play latest Klystrack format (2018-01-01)
		Can open files with utf-8 in the filename
		Songlength
	Drag'n'drop files to a specific position in the playlist
	Always on top added as an option

	Bug fixes:
	Pattern view wasn't working for Startrekker mods

	Other:
	Upgraded to libxmp 4.4.1 which fixes a lots of playback bugs, mainly (mod/it/xm) and adds support for
		TrackerPacker v1
		TrackerPacker v2
		ProPacker 1.0
	Upgraded to latest libsidplayfp (r2530)
	Upgraded to ZXTtune Build 4110
	Upgraded C-64 songlength database to the one from HSVC 68
	Upgraded to Qt 5.7
	Removed OptimFROG due to various problems


1.04	2015-Aug-01

	New features:
	Option to add filename extensions to ignore when adding files
	Filter settings can be made for UADE
	Find window's visibility is now saved in settings

	Bug fixes:
	onEscapee files are now working
	MIDI files didn't work
	Some Protracker mods converted to .xm could crash the pattern view
	Bookmarking files didn't work (only webstreams)
	All windows wasn't minimized when "minimize to system tray" was used

	Other:
	Upgraded to libxmp 4.3.9 which addresses a lot of bugs, primarily for the following formats:
		Oktalyzer
		IT
		MMD3
		XM
		MOD
		MASI (PSM)
		Packed formats
	Upgraded to libsidplayfp 1.8.0

1.03	2014-Nov-28

	New features:
	Fixed a bug in the UADE plugin so now the following Amiga formats are playable:
		CustomMade
		JesperOlsen
		MIDI-Loriciel
		SoundImages
		SteveTurner (Jason Page Old)
		WallyBeben
	Main window is now on top when clicked
	
	Bug fixes:
	Upgraded to latest lixbmp which fixes the following formats (and lots of other things)
		UNIC Tracker
		Noisepacker V1
		EMOD
		XM
		IT
	A bug in the UADE plugin caused problems with subsongs

1.02	2014-Nov-03

	New features:
	At least 94 more Amiga formats playable, using UADE
	Subsongs in mods now supported (for example Digital Illusions (.di)
	C64-sid files with multiple SID chips now supported
	Cancel-button in settings window

	Bug fixes:
	TFMX is now played with UADE and thus played a lot better
	.lha .lzx and .bz2 wasn't extracted if the archives were read-only
	Effect 4 wasn't displayed correctly in MED pattern view

	Other:
	Upgraded to libsidplayfp 1.6.0

1.01 2014-Sep-30

	New features:
	GUI is now scalable from 25-500%. See Settings/Display.
	Enable/disable channels in pattern view (click on channel)
	Browse samples in pattern view (done for most amiga trackers)
	New format added: AMOS Music Bank
	Volume tag in ds/qsf/ssf is now used to amplify songs with low volume
	iTunes tag "Compilation Flag (Part of a compilation)" now presented nicer
	Status of time in player window, elapsed/remaining is now saved in settings

	Bug fixes:
	Major memory leak in libxmp and zxtune
	Webstreams didn't work
	Crashed when double clicking a file to play when the progam already was started
	id3v2 tags are now trimmed when checked, so for example "TPA " is recognized as "TPA"
	Find button had wrong tool tip
	Lots of tracker views wasn't centered 100% when resized
	Effect 15 wasn't displayed correctly in OctaMED v5 pattern view
	Tiny graphics fix in Chiptracker pattern view
	@-character had wrong font in Protracker pattern view

	Other:
	Upgraded to libxmp 4.3.0 which means support for AMOS Music Bank and tons of fixes to xm/it/med/s3m
	VU Meter "Trails" has been removed due to complications with the new scalable GUI. May be back later.
	
1.00 2014-Jun-16
	New features:
	Plays Capcom Q-Sound Format (.qsf), Dreamcast Sound Format (.dsf) and Saturn Sound Format (.ssf)
	Decompresses and plays LZX
	Plays .mo3 (IT/XM/S3M/MTM/MOD with mp3 or ogg compression)
	Option to set output directory for file output and automatic filename (never overwrites existing file)
	Pattern View for Protracker 3.6+
	Pattern View for OctaMED 4/5/Studio
	Pattern View for MultiTracker
	More info in Fasttracker II patternview

	Bug fixes:
	Lots of OctaMED fixes
	Disabling/Enabling channels didn't work for libxmp formats (mods etc.)
	Instruments over 32 wasn't displayed correctly in pattern view for MED
	Wrong font in Chiptracker patternview
	Pattern view didn't show for MED 3.x
	Effect J and X wasn't displayed correctly in pattern view for Impulse Tracker
	Some ASAP songs was identified as MP3
	Seeking in some formats with subsongs skipped to next subsong instead of seeking
	.cue file support was broken
	.nez file support was broken

0.99 2014-Mar-08
	New features:
	Completely rewritten pattern view engine which means pixel perfection, no more delays when changing patterns and less cpu required. Lots of improvements to the pattern view for several fileformats.

	Bug fixes:
	Forgot to include font for Oktalyzer pattern view, and also forgot to announce this new feature
	Upgraded to libxmp 4.2.5 which means bug fixes for Digitrakker (MDL), Fasttracker 2 (XM), Chiptracker (MOD), Asylum / DSMI (AMF), Oktalyzer (OKT)
	Mods (libxmp) wasn't played to the end after seeking
	Current position wasn't displayed correctly in the pattern view
	AHX and Hivelytracker songs now plays to the very end which also means they sound a lot better when looping. Also shows length with ms accuracy instead of just seconds.
	Some missing fonts and graphics in some pattern views
	Spectrum SQ Tracker was incorrectly displayed as "SGT Tracker"


0.98 2014-Jan-17
	New features:
	Thanks to ZXTune about 30 new Spectrum format can be played. This also means that .ym is no longer played with ST-Sound and sounds a lot better and that libayemu is no longer used. 
	Upgraded to VGMStream revision 1018 which now handles an additional 29 audio stream formats
	Plays His Master's Noise modules
	Channels window to enabled/disable channels during play. Supported for libxmp, libsid, ASAP and Game Music Emu
	Information box at top in the pattern view for a bunch of trackers
	Pattern view for Digi Booster Pro 2
	VU Meters for HivelyTracker, AHX and MED
	Settings for libxmp: stereo separation, interpolation, frequency and channels

	Bug fixes:
	Lots of modules (at least .xm and .it) crashed when loading
	MED, S3M, it, xm, mod, Digi Booster, OctaMed bug fixes due to upgrading to libxmp 4.2.2
	modfiles (libxmp) now plays to the very end which also means they sound a lot better when looping. Also shows length with ms accuracy instead of just seconds.
	Position of patternview window wasn't loaded correctly
	'#' was missing in pattern view for Fastracker 1
	VU meter for Protracker had a small visual bug
	Interpolation setting for libmodplug wasn't saved correctly
	Memory leaks

0.97 2013-Oct-27

	New features:
	Equalizer
	VU Meters in pattern view for lots of formats (with same look as in the original software)
	Find files in playlist (Find-button in playlist or Ctrl+F)
	Pattern view for ImpulseTracker 2 (.it)
	Pattern view for Composer 669
	Pattern view for Ultra Tracker
	Pattern view for TakeTracker
	Window titles
	
	Bug fixes:
	Quite a few .it-songs failed to load
	Some C-64 sids was silent because of missing rom files
	Files with unicode names wouldn't load from command line/double click/sockets
	Limit songs of unknown length also affected web streams
	Arrow icon missing on combo boxes

0.96 2013-Aug-18

	New features:
	Pattern View for Fasttracker 2 (.xm)
	Pattern View for Fasttracker 1 (.ft/.mod)
	Pattern View for MED (.med/.mmd0)
	You can now manually select output devices (ASIO, DirectSound, OpenAL, WASAPI, WinMM)
	New engine for playing .sid files which should be more accurate
	.cue files support
	Option to minimize to system tray
	Plays OptimFROG Lossless

	Bug fixes:
	A bug in libxmp caused most formats to crash the player in Windows XP
	Chiptracker and AHX fontsizes where mixed up in the settings
	Some tooltips was wrong
	Some memory leaks

0.95 2013-Jul-02

	New features:
	Repeat button. Repeats the current sound to infinity
	SIDId integration: Shows original playroutine for C-64 SID files in info window
	Info window shows currently used player engine

	Bug fixes:
	No sound output in Windows XP
	Output to wave didn't work because of a missing .dll
	

0.94 2013-Jun-16

	New features:
	Basic output to wave
	Set output rate
	Option to start the last playing sound automatically where you left off
	Chiptracker pattern view
	Audio File Library is now back which means that .iff/.au/nst etc. is once again supported
	Plays SampleVision (.smp)

	Bug fixes:
	Richard Joseph subsongs didn't work
	Sample number bug in Richard Joseph
	Ben Daglish had wrong number of subsongs
	Shows a question mark instead of "ERROR" for illegal effects in ScreamTracker 3 Pattern view
	Forgot to disable subsongs for AHX/Hively (it's buggy)
	MED (and possibly more formats) crashed because of a bug when getting the samples and instruments info (for now not all samples and instruments are not shown for all formats)
		
	Other:
	Impulsetracker is now played by libxmp and does the job better than libmodplug
	Hively Tracker/AHX replayer upgraded to 1.8
	libxmp upgraded to 1.5 which fixes bugs in OctaMED and Oktalyzer replayer
	Now uses Prowizard integrated in libxmp which is more stable. Currently about 10 packed formats less is supported.
	

0.93 2013-May-21

	New features:
	Plays Ben Daglish
	Plays Richard Joseph
	Plays Infogrames (a.k.a Rob Hubbard 2)
	Plays Jason Brooke
	Plays TFMX
	Plays AHX
	Plays HivelyTracker (Subsongs not supported)
	Plays S98 (NEC PC-9801 and PC-8801)
	Plays Ken's Digital Music (.kdm)
	Plays SBStudio PAC
	Plays AAC, only in AAC-container for now
	Plays Protracker 3.6
	Plays Iigs SoundSmith
	Plays Digi Booster
	Plays Archimedes Tracker
	Plays Digital Symphony
	Plays Desktop Tracker
	Plays Digital Tracker
	Plays Funktracker
	Plays Galaxy Music System
	Plays General DigiMusic
	Plays Graoumf Tracker
	Plays Liquidtracker
	Plays Aley's Module
	Plays Magnetic Fields Packer
	Plays Megatracker
	Plays Novotrade Packer
	Plays Octalyser
	Plays Pollytracker
	Plays Quadra Composer
	Plays Real Tracker
	Plays TCB Tracker
	Plays Imago Orpheus
	Plays ZX Spectrum Sound Tracker
	Plays Fast Tracker
	Plays FlexTrax (effects not supported)
	Ice Tracker and Soundtracker 2.6 are now played internally without being converted by ProWizard
	Mod formats are now played a lot more accurately than before
	Decompresses and plays LHA (not level 2 yet)
	Decompresses and plays Bzip2
	Pattern view for AHX, HivelyTacker, Screamtracker 3, Digi Booster, Star Trekker, Game Music Creator, Sound/Pro/Noise Tracker, Ice Tracker
	Vortex VTX-songs is now playable again and show more song information than before
	.ym files can now be gzipped and have unicode filenames
	NEZPlug M3U file format partly supported which means that subsongs in playlists works (loops and fading not supported)
	Plays Sidmon1 songs ripped with SidmRipper (which overwrites the id in the song with its own. Very bad behavior that really shouldn't be supported...)
	
	Bug fixes:
	Uninitialized variable sometimes caused silent channels for Amiga formats (FLOD)
	Uninitialized variable in SoundFX player could sometimes cause a crash
	Delta Music 1 vibrato was wrong
	Encoding wasn't properly recognized in playlists
	ASAP (.sap, .rmt, .mpt etc.) songs had some issues at the start of the song
	ST-Sound (.ym, and .mix) songs had some issues at the start of the song
	sc86 lib (.sc68, and .sndh) songs had some issues at the start of the song
	First subsong of an .sc68 file had always unknown length
	No stutter in beginning and positioning in organya files
	No longer crash when playlist is cleared and then changing subsongs
	Informationwindow and playlistwindow no longer use fonts and colors fom Windows themes and is therefore now always readable
	Pattern view wasn't always cleared when it should be
	Several memory leaks

0.92 2012-dec-28

	New features:
	sc68 and sndh-support are back and more stable than before
	You can now control BZR Player with sockets by sending the following commands to port 9859:
		-play
		-pause
		-next
		-prev
		-stop
		-nextsubsound
		-prevsubsound
		-quit
		-clear (clears playlist)
		-volume[x] sets volume, where x is an integer 0-100
	Any other text will be treated as a file and added to the playlist. BZR Player acts both as a sever and client so you can try this out by first unchecking "Allow multiple instances" in the settings. You then start BZR PLayer and then go to the command and type BZRPlayer.exe -play (or any other supported command)
	-nogui flag from commandline will start BZR Player with no graphical user interface

	Bug fixes:
	In a rare case a .mod-file was treated as a ac1d packer file getting the program stuck in a loop trying to play it (Bug in ProWizard)
		

0.91 2012-aug-21
	
	New features:
	Extracts .atr-files (Atari Disk Images) and plays the contents
	Shows instrument names for Raster Music Tracker files
	New vumeter: pulsating image (replace Resources/vumeter/image.png with your favorite image)
	All id3v2 textfields now supported from id3v2.2.0 to id3v2.4.0
	
	Bug fixes:
	SoundFX instrument looping issue
	
	Other:
	HVSC #56 songlength database for sid-files
	Upgraded to ASAP 3.1.2

0.90 2012-may-29

	New features:
	Fullscreen view for pattern view (right click pattern view to enable)
	Add-button in playlist now has add files/folder/playlist/URL in one button
	Remembers last opened directories for add files/folder/playlist
	Toggle buttons for open sound/playlist/file information/pattern view
	Option to hide the scrollbar in the tracker window

	Bug fixes:
	Loading a SoundFX file would sometimes crash
	Fixed some memory leaks
	Scrollbars had some odd behaviours

	Other:
	Upgraded to Qt 4.8.1.0

0.89 2012-apr-30
	
	New features:
	Pattern View for SoundFX format
	Settings for FLOD: Clockspeed, Amiga Model, LED Filter

	Bug fixes:
	SoundFX slide was wrong
	SoundFX a variable was uninitialized
	Threshold misspelled in settings

0.88 2012-apr-02
	
	New features:
	Plays the following Amiga formats:
	BP SoundMon 1/2/3
	Fred Editor
	Hippel
	Hippel COSO
	Rob Hubbard
	David Whittaker

	Bug fixes:
	Lot of bugs in the previously added Amiga formats fixed

0.87 2012-mar-10
	New features:
	Plays the following Amiga formats:
	Delta Music
	Delta Music 2
	Digital Mugician 1/2
	Sidmon 1
	Sidmon 2
	SoundFX 1.0/1.8/1.9/2.0

	Bug fixes:
	Forgot to turn off debug messages in Organya-plugin

0.86 2012-feb-11
	New features:
	Organya (.org) support (Some stuttering in the beginning and when positioning/corrupt drums at some plays)
	Option to play the default subsong instead of the first one. Only affects sid files at the moment.
	Player snaps to screen borders

	Bug fixes:
	Plugin settings were not saved if the plugin/config directory didn't exist
	Didn't show the comments for YM-songs in infowindow

0.85.1 2011-sep-12

	Bug fixes:
	No file format plugins was loaded (Ooops!)

	Other:
	Upgraded to ASAP 3.0.1 which brings linear interpolation for resampling and displays titles for more formats
	
0.85 2011-aug-13

	New features:
	Partly new GUI
	Plays Klystrack songs
	New vumeter: parallax scroller
	Enter key will start playing selected item in playlist
	ASAP files has new info field, NTSC/PAL
	Shows number of channels for NSF, SPC, VGZ etc. files (Game Music Engine) in info window
	Shows exact sound length in milliseconds in info window

	Bug fixes:
	No more stutter in the beginning of VGMStream sounds
	Sid files skipped a bit in the beginning
	Sounds played by Game Music Engine was cut off at the end
	Sound length wasn't rounded correctly
	Small bug in line vumeter
	Pressing delete key to remove playlist item didn't always work
	File formats FSB 3.0, FSB 3.1 and Metal Arms WVS was reported as unknown VGMStream

	Other:
	Migrated from MSVC 2008 to Mingw32
	Upgraded from Qt 4.6.0 to 4.7.3
	Upgraded to ASAP 3.0.0
	Latest songlength database for sid-files
	Soundformats supported by Audiofile library, ZSSK and SC68 can not be played in this version but are hopefully back in later versions.
	
	
	



0.84.1 2011-apr-05

	New features:
	Some more info about Atari files

	Bug fixes:
	A lot of Amiga MOD's crashed at the end
	Loading a SoundFX file crashed
	Atari files supported by ASAP can now be played since I found some files to try out
	Forgot to enable the new .sap player which supports seeking and songlengths (for most files)

	Other:
	Some layout changes in settings- and about window

0.84 2011-mar-29
	
	New features:
	Configurable colors for VU meter, text and background
	Configurable linewidth and antialias for VU meter
	VU Meter are now rendered in the whole "LCD Area"
	New VU Meter: 3D Starfield
	New VU Meter: Text, with configurable message and font
	"Trails" for VUMeter
	Shows the real packed format instead of just "Protracker" for packed mods (converted by ProWizard)
	Support for the following formats using ZX Spectrum Sound Kit Library (files must have correct file extension):
		VTX	Vortex song
		PT2	PT2 module
		PT3	PT3/VortexII module
	New version of VGMStream which means supports for over 60 more stream formats
	.sap files now supports positioning and a song length (may not always be correct)
	Nicer looking and better structured settings window
	
	Bug fixes:

	Update to Prowizard so now more packed mods are playable

	Other:
	
	New code library for Future Composer files, which means that they now can now be played regardless of file extension and also loads a lot faster 
	VU Meter system rewritten which means it's easier to add more variants

0.83 2010-aug-17

	New features:

	Comments has it's own tab and thus now also supports multiple lines
	
	Bug fixes:

	Some zip-files didn't extract properly
	Didn't load GUI correctly if the program path contained ' or &
	Doesn't do any GUI updates when minimized
	Items in playlist didn't always get a tooltip with the path and filename
	A previously unplayable file was still marked as unplayable in the playlist when it was playable
	Bugs fixed in playing Promizer1.8c, Promizer 2.0 and SkytPacker due to an update of ProWizard
	
0.82 2010-jul-24
	
	New features:
	
	Support for following Atari formats using Another Slight Atari Player:
		CMC	Chaos Music Composer
		CM3	Chaos Music Composer "3/4"
		CM3	Chaos Music Composer "Rzog"
		CMS	Stereo Double Chaos Music Composer
		DMC	DoublePlay Chaos Music Composer
		DLT	Delta Music Composer
		MPT	Music ProTracker
		MPD	Music ProTracker DoublePlay
		RMT	Raster Music Tracker
		TMC,TM8	Theta Music Composer 1.x
		TM2	Theta Music Composer 2.x
	Support for over 200 different audio stream formats using VGMStream (WII, PS2, XBOX, GameCube etc.) See readme.txt for full list
	New version of LibModPlug which means
		* Configuration of stereo separation
		* Configuration of max mix channels
	New version of Adplug which means
		* Support for JBM - Johannes Bjerregård Module
		* Support for DRO: DOSBox Raw OPL
		* Increased compatibility for some formats
	More information about samples and instruments for mod-like and Future Composer files
	Unicode support in filenames and playlists for about half of the supported file formats
	Shuffle
	Settings for volume, pitch and balance are saved
	Playlist now has a popup menu

	Bug fixes:
	Vumeter was updated even with empty vumeter chosen. Major performance loss on slow computers.
	Screamtracker 3 files with FM-synth sound (.as3m) was silent
	It was not possible to go pass an unplayable file in the playlist using the prev-button
	When deleting items in the playlist the current item was sometimes not marked as current item
	Last opened dir hadn't same default dir for "add dirs" and "add files"
	Remembers last dir also when saving the playlist
	Some rounding off issues in the settings
	The slider text for vumeter settings showed wrong text when opening the settings window for minimum values
	Oversampling setting for libmod wasn't saved correctly

	Other:
	Upgraded to QT 4.6

0.81 2009-dec-17
	New features:
	Support for .sndh and .sc68
	Scrolling title in the main window if the title is too long to fit
	Configurable font, fontsize and rowheight for the playlist
	Now has system menu when rightclicking the application in the task bar
	Logging can be turned on and off in settings and is now off by default

	Bug fixes:
	Subsongs now get correct length instead of getting the same length as the first subsong. (Only sid-files worked fine before)
	MIDI-songs now work again
	Drag'n'drop a song while the current song was playing a subsong > 1 sometimes crashed
	Drag'n'drop or opening a file while paused didn't start playing the newly added file immediately
	Text for sliders in settings wasn't updated when opening the settings window if the value was the minimum

	Other:
	Upgraded to FMOD Ex 4.26
	Upgraded to libmodplug 0.8.7
		

0.80 2009-jun-06
	New features:
	7-zip support

0.79 2009-jun-01
	New features:
	Rar support (also ver. 3.0) which also means .rsn-support (rar:ed spc-songs)
	Files inside a ziparchive have their original name when unpacked instead of with an ugly suffix added

	Bug fixes:
	Showing soundformat in mainwindow broke in last version

0.78 2009-mar-01
	New features:
	Add bookmarks (Most valuable for webstreams). Edit settings.ini for deleting or editing bookmarks for now
	ID3v2 support for most common tags, also updates for streaming tags (radio stations)
	
	Bug fixes:
	Checks if the "Last opened dir" really exists before trying to open it
	Wouldn't advance to the next sound when drag'n'drop a folder and the first file was unplayable
	Sound info window sometimes showed info for the previos played sound

	Compiled with Visual Studio 2008 and QT 4.4.3

0.77b 2008-dec-05
	
	New features:
	Remembers last dir opened when adding dirs or files
	
	Bug fixes:
	Infowindow failed loading some GUI images and font for the title in main window wasn't loaded correctly
	"Add dir" would add the dir even if cancel was clicked

0.77 2008-dec-04
	
	New features:
	File information window - file information is provided for most playable formats
	Lengths for SID files are supported using the database from The High Voltage SID Collection (database file included)
	New VUMeter: Cube rotating to the beat - looks best with very high Multiplier and very low Sensitivity
	Keyboard shortcuts (main window must be active):
		left and right arrow = move back and forward 5 seconds
		shift + left and right arrow = previous and next sound in playlist
		alt + left and right arrow = previous and next subsong
		up and down arrow = raise/lower volume
		shift + up and down arrow = raise/lower pitch
	Empty VUMeter
	New font for sound title in main window

	Bug fixes:
	Plugin settings wasn't loaded when a file was opened by double clicking it in explorer
	All MOD-files are played with libmod and thus the libmod settings now have impact on all mod files
	All MOD-files are reported as what they are - Noisetracker 1.0/Noisetracker 2.0/Startrekker etc. - instead of just as "Protracker" (except if ripped with Prowizard)
	MOD-files lo longer crash at the end
	Length is calculated for all MOD-files
	LCD-font had wrong size
	Some issues resolved when loading unplayable files

0.76 2008-nov-15

	New features:
	Automatically advances to the next subsong when a subsong has ended (instead of the next sound in the playlist)
	More VUMeters - change by clicking on the VUMeter area, selected one is saved in the settings
	Shows current playing sound in taskbar
	New fancy big 32-bit application icon
	New font for timer

	Bug fixes:
	Changed the loading order for plugins which hopefully leads to less crashes when loading files

0.75 2008-sep-27
	
	New features:
	Changed name to BZR Player due to Multiplayer was impossible to find in search engines
	Lots of settings for most of the sound players (require stop/play current sound for effect)
	Option to only allow one program instance. Another option to add-to-playlist or play a double clicked file in explorer if only one instance is allowed.
	Support for titles in M3U playlists
	Support for titles in PLS playlists
	Mouseover images for all buttons

	Bug fixes:
	Dragging the progress slider to the beginning didn't work
	Two small memory leaks

0.74 2008-aug-31
	
	New features:
	Support for YM - Atari ST
	Support for MIX - Atari Digi-Mix
	Unplayable sounds is marked with a line through

	Bug fixes:
	Libmod would only play mods, and not med, okt, digitracker etc.
	Small memory leak in popup menu
	Opening the popup menu and clicking on the top bar would move the window 
	Rightclicking on sliders doesn't do anything

	Some GUI changes

0.73 2008-aug-03

	New features:
	HTTP streaming - either by opening a playlist or by using the "Open URL" popup menu item. Also remembers the last opened URL.
	.pls Playlist support

	Bug fixes:
	Crashed if trying to play a file which didn't existed (in a playlist for example)
	Crashed if input file was very small (<64 bytes)
	Current subsong wasn't initialized in some cases
	Gzipped modules always reported unknown song length
	Packed modules  always reported unknown song length
	Fixed issues with deleting items in playlist
	Clearing the playlist will not stop the current sound
	
	Known issues:
	pausing a HTTP stream for too long will lose the connection

0.72 2008-jul-27

	New features:
	Save playlist
	Delete items in playlist
	On startup, load last playlist and last played sound (optionally) 

0.71 2008-jul-24

	New features:
	Sliders for pitch and balance snap to their default value when using the mouse
	Zip support. Plays all files inside a zip archive.
	
	Bug fixes:
	Opened files are no longer always locked and can be renamed/deleted/edited if they are not currently playing
	The GUI is now loaded properly when double clicking a file
	Libmod plugin is now more stable and is enabled again
	The position slider can now be dragged to the beginning of the sound
	Some improvements for the window snapping
	"Limit songs of unknown length to" didn't work

	Disabled "preload next sound" for now, since it doesn't work that well

0.7 2008-jun-13

	New features:
	Using Adplug there is now support for: (some stuttering at start and seeking)
		A2M		AdLib Tracker 2  	   	 
		BAM		Bob's AdLib Music 	  	 
		AMD		AMUSIC Adlib Tracker 	  	 
		CFF 	BoomTracker 4.0 	  	 
		CMF 	Creative Music File 	  	 
		DFM 	Digital-FM 	  	 
		DMO 	Twin TrackPlayer 	  	 
		DTM 	DeFy AdLib Tracker 	  	 
		HSC 	HSC Adlib Composer 	  	 
		IMF 	Apogee IMF File 	  	 
		KSM 	Ken Silverman's Music 	  	 
		LDS 	LOUDNESS Sound System 	  	 
		M 		Origin AdLib Music Format 	  	 
		MAD 	Mlat Adlib Tracker 	  	 
		MKJ 	MKJamz 	  	 
		MTK 	MPU-401 Trakker 	  	 
		RAD 	Reality ADlib Tracker 	  	 
		RAW 	RdosPlay RAW file 	  	 
		AS3M 	Screamtracker 3 	  	 
		SA2 	Surprise! Adlib Tracker 2 	  	 
		SAT 	Surprise! AdLib Tracker 	  	 
		SNG 	SNGPlay 	  	 
		SCI 	Sierra's AdLib Audio File Format 	  	 
		LAA 	LucasArts AdLib Audio File Format 	  	 
		SNG 	Faust Music Creator 	  	 
		XSM 	eXtra Simple Music 	  	 
		XMS 	XMS-Tracker 	  	 
		SNG 	Adlib Tracker 1.0 	  	 
		XAD 	eXotic ADlib Format
	Displays sound format (packed modules are currently shown as protracker/fasttracker)
	Displays sound frequency

	Bug fixes:
	Doubleclicking a sound in the playlist didn't start playing if player was paused
	Pausebutton can't be toggled if no sound is playing


0.6 2008-jun-08

	New features:
	Support for:
		AIFC     - Compressed AIFF's (doesn't work for all files I tried)
		SND/AU   - NeXT .snd/Sun .au
		WAVE	 - Microsoft RIFF WAVE Format  (can't find any file to try with)
		BICSF    - Berkeley/IRCAM/CARL Sound Format (can't find any file to try with)
		AVR      - Audio Visual Research File Format  (can't find any file to try with)
		IFF/8SVX - Amiga IFF/8SVX
		NIST     - NIST SPHERE File Format  (can't find any file to try with)
	
	Window snapping
	If playlist is snapped to main window, moving the main window will move both windows (some small issues)

	Bug fixes:
	Mod's pitch was incorrect for some people
	Subsong wasn't reset back to 1 when doubleclicked a sound in playlist or dragged to playerwindow

0.5 2008-may-23

	New features:
	
	Playlistwindow has brand new GUI
	Shows the current time when dragging the progress slider
	Shows the complete sound path when mouse cursor is positioned over item in playlist
	Scrolls to current playing sound in playlist so that it's visible
	
	Bug fixes:
	Position slider can only be moved when sound is playing

	

0.45 2008-may-11
	
	New features:
	
	Rewrote the GUI almost completely which meant a lot less code and easier to change it in the future. Now everything in the main window is customized.
	Folders can be drag and dropped or added by command line with all files in them added
	Balance slider
	Highlight on LCD display
	Minimize and quit buttons
	About window
	Tooltips

	Bug fixes:

	Current pitch wasn't remembered when changing sound
	Played wrong sounds when "preload next song" was enabled in some cases	
	Sounds showed complete path in playlist instead of just filename when added from command line
	Leading zero for minutes in timer
	Right aligned timer
	Changed font for timer since the last one wasn't mono spaced

0.4 2008-may-03
	
	New features:
	
	New non-Windows-looking-GUI! (needs more work)
	Gapless playback
		"Enabled" will remove silence from beginning and end
		"Accurate" will do it more precise, but takes longer to load (MP3) sound
		"Preload next sound" will do just that (after 5 secs)
		"Cutoff" is the "silence threshold". Higher value will remove more
		For best results (when listening to a mixed CD for example) all three should be enabled
	M3U-playlist support
	New font for the timer
	Pausebutton is "down" when paused

	Bug fixes:
	
	Shows ?:?? as remaining time for sounds of unknown length instead of 7158
	Now using the speaker configuration set in sound settings in windows control panel, instead of always stereo
	No longer crashes when choosing subsongs when no sound is loaded
	Toggling elapsed/remaining time now only works with left mousebutton
	Fixed bug in Game music Emu plugin, played second subsong when it should play first

0.3 2008-apr-18
	
	New features:
	
	Integrated Prowizard - check readme.txt for formats supported
	Subsong support
	Sounds can be added from commandline (filenames separated by space) 
	Seeking is now working in more formats (nsf for example)
	VU-meter, timer and slider are reset when pressing stop or last song in playlist has ended
	Playlist window's visibility saved in settings
	Made some buttons that looks a bit nicer
	
	Bug fixes:

	gzipped files could be max 5 mb when uncompressed, now could be of any size

	DISABLED libmod due too it beeing to unstable - will see if I can find another better mod library
	

0.2 2008-apr-14

	New features:

	Drag and drop files
	Reverb
	Normalizer
	Set default sound length for sounds with unknown length 
	Remembers windows size and position
	Current sound is green in playlist
	Settings dialog (and all settings are saved)
	Click on time switches between elapsed and remaining time
	Changed font of the time since it wasn't a standard font for Windows
	
	Bug fixes:

	vgz-files didn't work

0.1 2008-apr-12

	First release